#!/bin/bash
# -*- coding: utf-8 mode: sh -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8
source /etc/nulib.sh || exit 1

include_wip=
args=(
    "vérifier que src/ n'utilise pas de classes de nur\\"
    #"usage"
    -w,--include-wip .
)
parse_args "$@"; set -- "${args[@]}"

if [ -n "$include_wip" ]; then
    function filter() { cat; }
else
    function filter() { grep -v '^src/wip/'; }
fi

grep -rP '^use nur\\(?!ture)' src | filter
